Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class OptionElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<OptionElem>
                      sharin.doc.builder.xhtml1.OptionElem

    public class OptionElem

extends GenericCommonElem<OptionElem>

Constructor Summary
`OptionElem(Object... nodes)`

Method Summary
`OptionElem` | `disabled(boolean disabled)`
`OptionElem` | `disabled(Object value)`
`OptionElem` | `label(Object value)`
`OptionElem` | `selected(boolean selected)`
`OptionElem` | `selected(Object value)`
`OptionElem` | `value(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionElem

    public OptionElem(Object... nodes)

Method Detail

### disabled

    public OptionElem disabled(boolean disabled)

### disabled

    public OptionElem disabled(Object value)

### label

    public OptionElem label(Object value)

### selected

    public OptionElem selected(boolean selected)

### selected

    public OptionElem selected(Object value)

### value

    public OptionElem value(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.